package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Testbasic;
import com.realnet.basicp1.Services.TestbasicService ;
































@RequestMapping(value = "/token/Testbasic")
 @CrossOrigin("*") 
@RestController
public class tokenFree_TestbasicController {
	@Autowired
	private TestbasicService Service;

@Value("${projectPath}")
	private String projectPath;
 
































	@PostMapping("/Testbasic")
		  public Testbasic Savedata(@RequestBody Testbasic data) {
		Testbasic save = Service.Savedata(data)	;































		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Testbasic/{id}")
	public  Testbasic update(@RequestBody Testbasic data,@PathVariable Integer id ) {
		Testbasic update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Testbasic/getall/page")
	public Page<Testbasic> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Testbasic> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Testbasic")
	public List<Testbasic> getdetails() {
		 List<Testbasic> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Testbasic")
	public List<Testbasic> getallwioutsec() {
		 List<Testbasic> get = Service.getdetails();		
		return get;
}
@GetMapping("/Testbasic/{id}")
	public  Testbasic  getdetailsbyId(@PathVariable Integer id ) {
		Testbasic  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Testbasic/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}

































}